NOZZLE_DEL_IP(3)

NAME
nozzle_del_ip - equivalent of ip addr del or ifconfig del <ipaddress/prefix>

SYNOPSIS
#include <libnozzle.h>

int nozzle_del_ip(
    nozzle_t      nozzle,
    const char   *ipaddr,
    const char   *prefix
);

DESCRIPTION

nozzle_del_ip

nozzle - pointer to the nozzle struct

ipaddr - string containing either an IPv4 or an IPv6 address.

prefix - 24, 64 or any valid network prefix for the requested address.

RETURN VALUE

0 on success -1 on error and errno is set.

SEE ALSO

nozzle_close(3), nozzle_set_mtu(3), nozzle_get_fd(3), nozzle_get_mtu(3), nozzle_reset_mtu(3), nozzle_set_up(3), nozzle_get_ips(3), nozzle_set_down(3), nozzle_reset_mac(3), nozzle_get_handle_by_name(3), nozzle_run_updown(3), nozzle_open(3), nozzle_get_mac(3), nozzle_set_mac(3), nozzle_get_name_by_handle(3), nozzle_add_ip(3)

COPYRIGHT

Copyright (C) 2010-2026 Red Hat, Inc. All rights reserved.